netatalk: vfs_ops Struct Reference

netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
vfs_ops Struct Reference

`#include <vfs.h>`

## Data Fields
vfs_validupath_fn | vfs_validupath
vfs_chown_fn | vfs_chown
vfs_renamedir_fn | vfs_renamedir
vfs_deletecurdir_fn | vfs_deletecurdir
vfs_setfilmode_fn | vfs_setfilmode
vfs_setdirmode_fn | vfs_setdirmode
vfs_setdirunixmode_fn | vfs_setdirunixmode
vfs_setdirowner_fn | vfs_setdirowner
vfs_deletefile_fn | vfs_deletefile
vfs_renamefile_fn | vfs_renamefile
vfs_copyfile_fn | vfs_copyfile
vfs_solaris_acl_fn | vfs_solaris_acl
vfs_posix_acl_fn | vfs_posix_acl
vfs_remove_acl_fn | vfs_remove_acl
vfs_ea_getsize_fn | vfs_ea_getsize
vfs_ea_getcontent_fn | vfs_ea_getcontent
vfs_ea_list_fn | vfs_ea_list
vfs_ea_set_fn | vfs_ea_set
vfs_ea_remove_fn | vfs_ea_remove

## Field Documentation

## ◆ vfs_chown

vfs_chown_fn vfs_ops::vfs_chown

## ◆ vfs_copyfile

vfs_copyfile_fn vfs_ops::vfs_copyfile

## ◆ vfs_deletecurdir

vfs_deletecurdir_fn vfs_ops::vfs_deletecurdir

## ◆ vfs_deletefile

vfs_deletefile_fn vfs_ops::vfs_deletefile

## ◆ vfs_ea_getcontent

vfs_ea_getcontent_fn vfs_ops::vfs_ea_getcontent

## ◆ vfs_ea_getsize

vfs_ea_getsize_fn vfs_ops::vfs_ea_getsize

## ◆ vfs_ea_list

vfs_ea_list_fn vfs_ops::vfs_ea_list

## ◆ vfs_ea_remove

vfs_ea_remove_fn vfs_ops::vfs_ea_remove

## ◆ vfs_ea_set

vfs_ea_set_fn vfs_ops::vfs_ea_set

## ◆ vfs_posix_acl

vfs_posix_acl_fn vfs_ops::vfs_posix_acl

## ◆ vfs_remove_acl

vfs_remove_acl_fn vfs_ops::vfs_remove_acl

## ◆ vfs_renamedir

vfs_renamedir_fn vfs_ops::vfs_renamedir

## ◆ vfs_renamefile

vfs_renamefile_fn vfs_ops::vfs_renamefile

## ◆ vfs_setdirmode

vfs_setdirmode_fn vfs_ops::vfs_setdirmode

## ◆ vfs_setdirowner

vfs_setdirowner_fn vfs_ops::vfs_setdirowner

## ◆ vfs_setdirunixmode

vfs_setdirunixmode_fn vfs_ops::vfs_setdirunixmode

## ◆ vfs_setfilmode

vfs_setfilmode_fn vfs_ops::vfs_setfilmode

## ◆ vfs_solaris_acl

vfs_solaris_acl_fn vfs_ops::vfs_solaris_acl

## ◆ vfs_validupath

vfs_validupath_fn vfs_ops::vfs_validupath

The documentation for this struct was generated from the following file:

- vfs.h